{
  description = "templ-practice";
  inputs.nixpkgs.url = "github:nixos/nixpkgs";
  inputs.flake-utils.url = "github:numtide/flake-utils";

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let pkgs = nixpkgs.legacyPackages.${system};
      in {
        devShells.default = pkgs.mkShell {
          buildInputs = [
            pkgs.go
            pkgs.wgo
            pkgs.semgrep
            pkgs.gopls
            pkgs.gnumake
          ];
          shellHook = ''
            export SOME_SHELL_VAR=ITS_VALUE
          '';
        };
      });
  # see https://serokell.io/blog/practical-nix-flakes
}
